import {ApplicationConfig, importProvidersFrom, provideZoneChangeDetection} from '@angular/core';
import { provideRouter } from '@angular/router';
import { routes } from './app.routes';
import {registerLocaleData} from "@angular/common";
import localeDe from "@angular/common/locales/de"
import localeCn from "@angular/common/locales/en"
import localeJap from "@angular/common/locales/en"
import {provideHttpClient} from "@angular/common/http";
import {InMemoryWebApiModule} from "angular-in-memory-web-api";
import {HotelDataService} from "./hotel/service/HotelData.service";
import {ErrorHandler} from "./ErrorHandler";
import {ErrorHandler as NgErrorHandler} from "@angular/core";

registerLocaleData(localeDe, 'de-DE')
registerLocaleData(localeCn, 'cn-CN')
registerLocaleData(localeJap, 'ja-JP')
export const appConfig: ApplicationConfig = {
  providers: [
    provideZoneChangeDetection({ eventCoalescing: true }),
    provideRouter(routes),
    provideHttpClient(),
    importProvidersFrom(InMemoryWebApiModule.forRoot(HotelDataService)),
    {
      provide: NgErrorHandler,
      useClass: ErrorHandler
    }
  ]
};
