import {InMemoryDbService} from "angular-in-memory-web-api";
import {Hotel} from "../model/hotel";


export class HotelDataService implements InMemoryDbService{
  createDb(): Record<string, Hotel[]> {
    const hotels: Hotel[] = [
      {
        "id": 1,
        "hotelName": "Buea süßes Leben",
        "description": "Schöne Aussicht am Meer",
        "price": 230.5,
        "imageUrl": "assets/img/heisenberg.jpg",
        "rating": 3.5,
        "tags": ["Meer", "Berge"],
        "email": "buea@mail.com",
        "phoneNumber": "1234567890"
      },
      {
        "id": 2,
        "hotelName": "Marrakesch",
        "description": "Genießen Sie den Blick auf die Berge",
        "price": 145.5,
        "imageUrl": "assets/img/kjan.png",
        "rating": 5,
        "tags": ["Meer", "Berge"],
        "email": "marrakesch@mail.com",
        "phoneNumber": "1234567890"
      },
      {
        "id": 3,
        "hotelName": "Abuja neuer Palast",
        "description": "Kompletter Aufenthalt mit Autoservice",
        "price": 120.12,
        "imageUrl": "assets/img/huy.png",
        "rating": 4,
        "tags": ["Meer", "Berge"],
        "email": "abuja@mail.com",
        "phoneNumber": "1234567890"
      },
      {
        "id": 4,
        "hotelName": "OUR Hotel",
        "description": "Wunderschönes Ambiente für Ihren Aufenthalt",
        "price": 135.12,
        "imageUrl": "assets/img/rat.png",
        "rating": 2.5,
        "tags": ["Meer", "Berge"],
        "email": "our@mail.com",
        "phoneNumber": "1234567890"
      }
    ];

    return { hotels };
  }

}
